Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.router.networkdb.kademlia
Class RepublishLeaseSetJob

    java.lang.Object
      net.i2p.router.JobImpl
          net.i2p.router.networkdb.kademlia.RepublishLeaseSetJob

All Implemented Interfaces:
  Job

    public class RepublishLeaseSetJob

extends JobImpl

Run periodically for each locally created leaseSet to cause it to be republished if the client is still connected.

Nested Class Summary
`(package private) class` | `RepublishLeaseSetJob.OnRepublishFailure`
`(package private) class` | `RepublishLeaseSetJob.OnRepublishSuccess`

Field Summary
`static long` | `REPUBLISH_LEASESET_TIMEOUT`

Constructor Summary
`RepublishLeaseSetJob(RouterContext ctx, KademliaNetworkDatabaseFacade facade, Hash destHash)`

Method Summary
`String` | `getName()` Descriptive name of the task
`long` | `lastPublished()`
`(package private) void` | `requeueRepublish()`
`void` | `runJob()` Actually perform the task.

Methods inherited from class net.i2p.router.JobImpl
`dropped, getAddedBy, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### REPUBLISH_LEASESET_TIMEOUT

    public static final long REPUBLISH_LEASESET_TIMEOUT

See Also:
  Constant Field Values

Constructor Detail

### RepublishLeaseSetJob

    public RepublishLeaseSetJob(RouterContext ctx,
                                KademliaNetworkDatabaseFacade facade,
                                Hash destHash)

Method Detail

### getName

    public String getName()

  Description copied from interface: `Job`
  Descriptive name of the task

### runJob

    public void runJob()

  Description copied from interface: `Job`
  Actually perform the task. This call blocks until the Job is complete.

### requeueRepublish

    void requeueRepublish()

### lastPublished

    public long lastPublished()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD